<?php
/*****************************************************************************
 * PasswordResetForm.php
 * Contains the password reset form template.
 *
 * Kabuki CMS (C) 2013-2016, Aaron van Geffen
 *****************************************************************************/

class PasswordResetForm extends SubTemplate
{
	private $email;
	private $key;

	public function __construct($email, $key)
	{
		$this->email = $email;
		$this->key = $key;
	}

	protected function html_content()
	{
		echo '
					<h1 class="mb-4">Password reset procedure</h1>';

		foreach ($this->_subtemplates as $template)
			$template->html_main();

		echo '
					<p>You have successfully confirmed your identify. Please use the form below to set a new password.</p>
					<form action="', BASEURL, '/resetpassword/?step=2&amp;email=', rawurlencode($this->email), '&amp;key=', $this->key, '" method="post">
						<div class="row mt-3">
							<label class="col-sm-2 col-form-label" for="field_password1">New password:</label>
							<div class="col-sm-3">
								<input type="password" class="form-control" id="field_password1" name="password1">
							</div>
						</div>
						<div class="row mt-3">
							<label class="col-sm-2 col-form-label" for="field_password2">Repeat new password:</label>
							<div class="col-sm-3">
								<input type="password" class="form-control" id="field_password2" name="password2">
							</div>
						</div>
						<div class="row mt-3">
							<div class="offset-sm-2 col-sm-2">
								<button type="submit" class="btn btn-primary">Reset password</button>
							</div>
						</div>
					</form>';
	}
}
